List Disks
curl --request GET \
--url https://api.mkinf.io/v0.1/projects/{id}/disks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mkinf.io/v0.1/projects/{id}/disks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mkinf.io/v0.1/projects/{id}/disks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"attached_to": [
{
"attachment_type": "string",
"mode": "string",
"vm_id": "123e4567-e89b-12d3-a456-426614174000"
}
],
"block_size": 4096,
"created_at": "2021-12-03T19:58:34Z",
"id": "123e4567-e89b-12d3-a456-426614174000",
"location": "us-northcentral1-a",
"name": "my-disk",
"serial_number": "96FD14FDBCF7E21E8EC",
"size": "10GiB",
"type": "persistent-ssd",
"updated_at": "2021-12-03T19:58:34Z"
}
]
}Storage
List Disks
List all the disks
GET
/
projects
/
{id}
/
disks
List Disks
List all disks in a project. Returns information about each disk including size, type, and attachment status.
⌘I